Bug 1005209 - Start event missing event types in properties.
Start event missing event types in properties.
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Eclipse Tooling (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified
: CR1
: 6.0.0
Assigned To: Robert (Bob) Brodt
Marek Baluch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-06 08:48 EDT by Marek Baluch
Modified: 2014-08-06 16:08 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
JBTIS 4.1.2. BPMN2 Editor 0.2.7.201308301511
Last Closed: 2014-08-06 16:08:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Eclipse Project 416727 None None None Never

  None (edit)
Description Marek Baluch 2013-09-06 08:48:52 EDT
Description of problem:

See linked issue.
Comment 1 Robert (Bob) Brodt 2013-09-06 12:30:54 EDT
This is similar to Bug 1005205: These types of event definitions are only valid if the Start Event is contained in a SubProcess. See table 10.85 of the BPMN 2.0 specification.

The fact that you can add these event definitions from the toolpalette is a bug.
Comment 2 Marek Baluch 2013-09-23 13:19:51 EDT
Verified on BPMN2 Editor 0.2.7.201309191900 (JBTIS 4.1.3.Beta3)
Comment 3 Lukáš Petrovický 2014-02-07 11:16:01 EST
This BZ has been part of the 6.0.0 stream.

Note You need to log in before you can comment on or make changes to this bug.